<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

<!-- Insert the XSLT Stylesheet here -->
<xsl:template match="auctions">
   <html><head><title>Auction House - Products Overview</title></head>
         <body>
		 <h1>Auction House - Products Overview</h1>
		 <xsl:apply-templates select="products" />
		 </body>
	</html>
</xsl:template>

<xsl:template match="products">
   <xsl:apply-templates select="product" />
</xsl:template>

<xsl:template match="product">
   <xsl:variable name="pid" select="@id" />
   <h2><xsl:value-of select="name" /></h2>
   <p><xsl:apply-templates select="description" /></p>
   <p>Total Bids: <xsl:value-of select="count(//bids/product[@id = $pid]/bid)" /></p>
   <ul><xsl:apply-templates select="//bids/product[@id = $pid]/bid" /></ul>
</xsl:template>

<xsl:template match="description">
   <xsl:copy-of select="* | text()" />
</xsl:template>

<xsl:template match="bid">
   <xsl:element name="li">
       <xsl:if test=". = max(../bid)"><xsl:attribute name="style">color:red</xsl:attribute></xsl:if>
       <xsl:value-of select="." />
   </xsl:element>
</xsl:template>

</xsl:stylesheet>
